# Generated by Django 4.2.18 on 2025-01-22 23:34

import taggit.managers
from django.db import migrations, models

import django.contrib.postgres.fields

from bpp.migration_util import load_custom_sql


class Migration(migrations.Migration):

    dependencies = [
        ("taggit", "0005_auto_20220424_2025"),
        ("bpp", "0358_nowe_sumy_view_add_pk"),
    ]

    operations = [
        migrations.AddField(
            model_name="patent",
            name="slowa_kluczowe_eng",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(blank=True, max_length=255),
                blank=True,
                null=True,
                size=None,
            ),
        ),
        migrations.AddField(
            model_name="praca_doktorska",
            name="slowa_kluczowe_eng",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(blank=True, max_length=255),
                blank=True,
                null=True,
                size=None,
            ),
        ),
        migrations.AddField(
            model_name="praca_habilitacyjna",
            name="slowa_kluczowe_eng",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(blank=True, max_length=255),
                blank=True,
                null=True,
                size=None,
            ),
        ),
        migrations.AddField(
            model_name="wydawnictwo_ciagle",
            name="slowa_kluczowe_eng",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(blank=True, max_length=255),
                blank=True,
                null=True,
                size=None,
            ),
        ),
        migrations.AddField(
            model_name="wydawnictwo_zwarte",
            name="slowa_kluczowe_eng",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(blank=True, max_length=255),
                blank=True,
                null=True,
                size=None,
            ),
        ),
        migrations.AlterField(
            model_name="patent",
            name="slowa_kluczowe",
            field=taggit.managers.TaggableManager(
                blank=True,
                help_text="Lista słów kluczowych -- język polski.",
                through="taggit.TaggedItem",
                to="taggit.Tag",
                verbose_name="Słowa kluczowe -- język polski",
            ),
        ),
        migrations.AlterField(
            model_name="praca_doktorska",
            name="slowa_kluczowe",
            field=taggit.managers.TaggableManager(
                blank=True,
                help_text="Lista słów kluczowych -- język polski.",
                through="taggit.TaggedItem",
                to="taggit.Tag",
                verbose_name="Słowa kluczowe -- język polski",
            ),
        ),
        migrations.AlterField(
            model_name="praca_habilitacyjna",
            name="slowa_kluczowe",
            field=taggit.managers.TaggableManager(
                blank=True,
                help_text="Lista słów kluczowych -- język polski.",
                through="taggit.TaggedItem",
                to="taggit.Tag",
                verbose_name="Słowa kluczowe -- język polski",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_ciagle",
            name="slowa_kluczowe",
            field=taggit.managers.TaggableManager(
                blank=True,
                help_text="Lista słów kluczowych -- język polski.",
                through="taggit.TaggedItem",
                to="taggit.Tag",
                verbose_name="Słowa kluczowe -- język polski",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_zwarte",
            name="slowa_kluczowe",
            field=taggit.managers.TaggableManager(
                blank=True,
                help_text="Lista słów kluczowych -- język polski.",
                through="taggit.TaggedItem",
                to="taggit.Tag",
                verbose_name="Słowa kluczowe -- język polski",
            ),
        ),
        migrations.RunPython(
            lambda *args, **kw: load_custom_sql(
                "0359_patent_slowa_kluczowe_eng_and_more", app_name="bpp"
            ),
        ),
        # Odbudowanie tabeli rekord_mat spowoduje skasowanie bpp_uczelnia_ewaluacja_view,
        # stąd potrzeba zaciągnąć ten plik z poprzednich migracji:
        migrations.RunPython(
            lambda *args, **kw: load_custom_sql("0207_uczelnia_analiza_view")
        ),
        migrations.RunPython(
            lambda *args, **kw: load_custom_sql("0358_nowe_sumy_view_add_pk")
        ),
        migrations.RunPython(
            lambda *args, **kw: load_custom_sql("0308_ewaluacja_upowaznienia_view")
        ),
        migrations.RunPython(
            lambda *args, **kw: load_custom_sql(
                "../../rozbieznosci_dyscyplin/migrations/0011_null_is_wrong"
            )
        ),
    ]
