# Generated by Django 4.2.19 on 2025-03-21 14:26

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models

import ewaluacja2021.fields


class Migration(migrations.Migration):

    dependencies = [
        ("bpp", "0379_cache_liczba_n_last_updated_and_more"),
        ("ewaluacja2021", "0011_nullbooleanfield"),
    ]

    operations = [
        migrations.CreateModel(
            name="LiczbaNDlaUczelni_2022_2025",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "liczba_n",
                    ewaluacja2021.fields.LiczbaNField(decimal_places=4, max_digits=9),
                ),
                (
                    "dyscyplina_naukowa",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="bpp.dyscyplina_naukowa",
                    ),
                ),
                (
                    "uczelnia",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="bpp.uczelnia"
                    ),
                ),
            ],
            options={
                "verbose_name": "Liczba N dla uczelni 2022-2025",
                "verbose_name_plural": "Liczby N dla uczelni 2022-2025",
                "unique_together": {("uczelnia", "dyscyplina_naukowa")},
            },
        ),
        migrations.CreateModel(
            name="IloscUdzialowDlaAutora_2022_2025",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "ilosc_udzialow",
                    ewaluacja2021.fields.LiczbaNField(
                        decimal_places=4,
                        max_digits=9,
                        validators=[django.core.validators.MaxValueValidator(4)],
                    ),
                ),
                (
                    "ilosc_udzialow_monografie",
                    ewaluacja2021.fields.LiczbaNField(decimal_places=4, max_digits=9),
                ),
                (
                    "autor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="bpp.autor"
                    ),
                ),
                (
                    "dyscyplina_naukowa",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="bpp.dyscyplina_naukowa",
                    ),
                ),
            ],
            options={
                "verbose_name": "ilość udziałów dla autora 2022-2025",
                "verbose_name_plural": "ilości udziałów dla autorów 2022-2025",
                "unique_together": {("autor", "dyscyplina_naukowa")},
            },
        ),
    ]
